<?PHP
	/**	
	 *	Mambo Site Server Open Source Edition Version 4.0.11
	 *	Dynamic portal server and Content managment engine
	 *	27-11-2002
 	 *
	 *	Copyright (C) 2000 - 2002 Miro Contruct Pty Ltd
	 *	Distributed under the terms of the GNU General Public License
	 *	This software may be used without warrany provided these statements are left 
	 *	intact and a "Powered By Mambo" appears at the bottom of each HTML page.
	 *	This code is Available at http://sourceforge.net/projects/mambo
	 *
	 *	Site Name: Mambo Site Server Open Source Edition Version 4.0.11
	 *	File Name: subsections.php
	 *	Developers: Danny Younes - danny@miro.com.au
	 *				Nicole Anderson - nicole@miro.com.au
	 *	Date: 27-11-2002
	 * 	Version #: 4.0.11
	 *	Comments: 
	**/
	
	require("classes/html/HTML_subsections.php");
	$subsectionshtml = new HTML_subsections();
	
	require("classes/subsections.php");
	$subsections = new subsections();
	
	switch ($task){
		case "new":
			$subsections->addSubsection($database, $subsectionshtml, $option, $sections);
			break;
		case "AddStep2":
			$subsections->addStep2($database, $subsectionshtml, $option, $ItemName, $ItemType, $SectionID, $sections);
			break;
		case "AddStep3":
			$subsections->addStep3($database, $subsectionshtml, $option, $ItemName, $PageSource, $SectionID, $sections);
			break;
		case "savenew":
			$subsections->saveSubsection($database, $ItemName, $pagecontent, $Weblink, $moduleID, $option, $SectionID, $heading, $sections, $browserNav);
			break;
		case "edit":
			$Itemid = $cid[0];
			if (trim($categories)!=""){
				$sections=$categories;
			}
			$subsections->editSubsection($database, $subsectionshtml, $option, $Itemid, $checkedID, $myname, $sections);
			break;
		case "saveedit":
			$subsections->saveEditSubsection($database, $menusectionshtml, $option, $ItemName, $link2, $pagecontent, $filecontent, $Itemid, $SectionID, $order, $origOrder, $myname, $origSecID, $Weblink, $heading, $browserNav);
			break;
		case "Upload":
			$subsections->saveFileUpload($database, $option,  $userfile, $userfile_name, $Itemid);
			break;
		case "remove":
			$subsections->removeSubsection($database, $option, $cid, $sections);
			break;
		case "publish":
			$subsections->publishSubsection($database, $option, $Itemid, $cid, $sections);
			break;
		case "unpublish":
			$subsections->unpublishSubsection($database, $option, $Itemid, $cid, $sections);
			break;
		case "saveUploadImage":
			$subsections->saveUploadImage($database, $option, $userfile1, $userfile1_name, $userfile2, $userfile2_name, $userfile3, $userfile3_name, $userfile4, $userfile4_name, $userfile5, $userfile5_name, $sectionid);
			break;
		default:
			if (trim($categories)!=""){
				$sections=$categories;
			}
			$subsections->viewSubItems($database, $subsectionshtml, $option, $sections);
		}
?>

